Platform planı oluştur
curl --request POST \
--url https://identity-sandbox.payven.com.tr/api/v1/platform/plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"daily_transaction_limit": 123,
"monthly_transaction_limit": 123,
"rate_limit_per_second": 123,
"is_active": true,
"is_default": true,
"sort_order": 123,
"feature_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://identity-sandbox.payven.com.tr/api/v1/platform/plans"
payload = {
"code": "<string>",
"name": "<string>",
"description": "<string>",
"daily_transaction_limit": 123,
"monthly_transaction_limit": 123,
"rate_limit_per_second": 123,
"is_active": True,
"is_default": True,
"sort_order": 123,
"feature_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json; ver=1.0"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json; ver=1.0'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
description: '<string>',
daily_transaction_limit: 123,
monthly_transaction_limit: 123,
rate_limit_per_second: 123,
is_active: true,
is_default: true,
sort_order: 123,
feature_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://identity-sandbox.payven.com.tr/api/v1/platform/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"daily_transaction_limit": 123,
"monthly_transaction_limit": 123,
"rate_limit_per_second": 123,
"is_active": true,
"is_default": true,
"sort_order": 123,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z",
"features": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z"
}
]
}{
"type": "https://docs.payven.com.tr/errors/bad_request",
"title": "Geçersiz istek",
"status": 400,
"code": "bad_request",
"detail": "amount.amount alanı zorunlu.",
"correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/bank_declined",
"title": "Banka işlemi reddetti",
"status": 422,
"code": "bank_declined",
"detail": "Yetersiz bakiye (banka kodu: 51)",
"provider_error_code": "51"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}PlatformPlans
Platform planı oluştur
POST
/
api
/
v1
/
platform
/
plans
Platform planı oluştur
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Headers
Body
application/json; ver=1.0text/json; ver=1.0application/*+json; ver=1.0
Response
Created
Show child attributes
Show child attributes
⌘I